import Fanfou, { Status } from 'fanfou-sdk';
import { Account, Config, ConsoleType } from './types.js';
declare type NofanOptions = {
    verbose?: boolean;
    photo?: string;
    clipboard?: boolean;
    repl?: boolean;
    consoleType?: ConsoleType;
};
declare class Nofan {
    photo?: string;
    clipboard?: boolean;
    repl?: boolean;
    consoleType?: string;
    params?: any;
    config: Config;
    verbose?: boolean;
    constructor(options?: NofanOptions);
    login(username: string, password: string): Promise<void>;
    logout(): Promise<void>;
    configure(): Promise<void>;
    colors(): Promise<void>;
    switchUser(id?: string): Promise<void>;
    homeTimeline(): Promise<void>;
    publicTimeline(): Promise<void>;
    contextTimeline(id: string): Promise<void>;
    searchTimeline(q: string): Promise<void>;
    trendsTimeline(): Promise<void>;
    userTimeline(id: string): Promise<void>;
    update(text: string): Promise<void>;
    upload(text: string): Promise<void>;
    undo(): Promise<void>;
    mentions(): Promise<void>;
    me(): Promise<void>;
    reply(id: string, text: string): Promise<void>;
    repost(id: string, text: string): Promise<void>;
    show(id: string): Promise<void>;
    get(uri: string): Promise<any>;
    post(uri: string): Promise<Status | undefined>;
    _get(uri: string, parameters?: any): Promise<any>;
    _post(uri: string, parameters: any): Promise<Status | undefined>;
    _getStatus(id: string): Promise<any>;
    _upload(path: string, status: string): Promise<Status | undefined>;
    _handleError(error: any): void;
    _displayTimeline(timeline: any, opt: any): void;
    consoleDisplay(item: any): void;
    initFanfou(user: Account): Fanfou;
}
export default Nofan;
