import { Account, AccountDict, Config } from './types';
export declare const defaultConfig: {
    CONSUMER_KEY: string;
    CONSUMER_SECRET: string;
    DISPLAY_COUNT: number;
    TIME_TAG: boolean;
    PHOTO_TAG: boolean;
    SSL: boolean;
    API_DOMAIN: string;
    OAUTH_DOMAIN: string;
    VERBOSE: boolean;
    COLORS: {
        name: string;
        text: string;
        at: string;
        link: string;
        tag: string;
        photo: string;
        timeago: string;
        highlight: string;
    };
};
export declare const createNofanDir: () => void;
export declare const createJsonFile: (filename: string, content: any) => void;
export declare const readJsonFile: (filename: string) => any;
export declare const getConfig: () => Config | {
    CONSUMER_KEY: string;
    CONSUMER_SECRET: string;
    DISPLAY_COUNT: number;
    TIME_TAG: boolean;
    PHOTO_TAG: boolean;
    SSL: boolean;
    API_DOMAIN: string;
    OAUTH_DOMAIN: string;
    VERBOSE: boolean;
    COLORS: {
        name: string;
        text: string;
        at: string;
        link: string;
        tag: string;
        photo: string;
        timeago: string;
        highlight: string;
    };
};
export declare const getAccount: () => AccountDict;
export declare const setConfig: (config: Config) => void;
export declare const setAccount: (account: Account) => void;
export declare const getTemporaryImagePath_Windows: () => Promise<string>;
export declare const getTemporaryImagePath_macOS: () => Promise<string>;
